Subject: bug#41834: 28.0.50; Dired-x: Y makes symlink with error: File is a symlink to a nonexistent target

From: Jean Louis <[email-masked]>
Date: Sat, 13 Jun 2020 15:55:59 +0300

* Eli Zaretskii <[email-masked]> [2020-06-13 15:05]:
> > Date: Sat, 13 Jun 2020 14:57:35 +0300
> > From: Jean Louis <[email-masked]>
> > Cc: [email-masked]
> > 
> > I have noticed that "Y" causes wrong relative symlink, this one here:
> > S lrwxrwxrwx 1   65 13. Jun 14:51 2020-06-13 -> ../../../../../../public_html/louis.club/media/2020/06/2020-06-13
> > 
> > And it should be this one:
> > S lrwxrwxrwx 1   71 13. Jun 14:51 2020-06-13 -> ../../../../../../../../public_html/louis.club/media/2020/06/2020-06-13
> 
> Could it be that you actually used too many ".."s?

I have only pressed Y and the symlink is created in such way that it
does not work.

I would need to edit the symlink to make it work, and then I added few
more dots to make it work to show what it should be.

Jean